- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::CrwMapping Struct Reference

Structure for a mapping table for conversion of CIFF entries to image metadata and vice versa. More...

`#include <crwimage.hpp>`

List of all members.

## Public Member Functions
Creators
| CrwMapping (uint16_t crwTagId, uint16_t crwDir, uint32_t size, uint16_t tag, IfdId ifdId, CrwDecodeFct toExif, CrwEncodeFct fromExif)
| Default constructor.
## Public Attributes
uint16_t | crwTagId_
| Crw tag id.
uint16_t | crwDir_
| Crw directory tag.
uint32_t | size_
| Data size (overwrites the size from the entry).
uint16_t | tag_
| Exif tag to map to.
IfdId | ifdId_
| Exif Ifd id to map to.
CrwDecodeFct | toExif_
| Conversion function.
CrwEncodeFct | fromExif_
| Reverse conversion function.

## Detailed Description

Structure for a mapping table for conversion of CIFF entries to image metadata and vice versa.

The documentation for this struct was generated from the following file:

- crwimage.hpp